local S = core.get_translator("block_league")

arena_lib.on_enable("block_league", function(arena, p_name)
  if not arena.teams_enabled and (arena.mode == 1 or arena.mode == 2) then
    arena_lib.print_error(p_name, S("This mode forcibly requires teams to work!"))
  elseif arena.teams_enabled and arena.mode == 0 then
    arena_lib.print_error(p_name, S("This mode forcibly requires no teams to work!"))
  end

  return true
end)